Bug 50243 - rpm -Uvh overwrites config files
rpm -Uvh overwrites config files
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-28 20:14 EDT by Joe Acosta
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-28 20:14:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Acosta 2001-07-28 20:14:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.7 i686)

Description of problem:


How reproducible:
Sometimes

Steps to Reproduce:
1. edit a configuration file in /etc for a program (take apache)
2. upgrade the package that has its configuration in /etc somewhere
3. run rpm -Uvh apache-<newer version>
4. your config may be saved as <config>.rpmsave
sometimes this happens sometimes it does not
	

Expected Results:  rpm should prompt the user and ask if they want to use
the old or new config file.  In the case of upgrading an entie system a
user should be able to select which config files he/she wants saved.
 A users should not have useless rpmsave files all over there system.  

Additional info:
Comment 1 Jeff Johnson 2001-07-29 10:51:16 EDT
rpm is a batch mode install program, no user dialogue is desired or permitted.

The config file handling depends on how the files are packaged, different
people package in different ways. Meanwhile, the mechanism provided
by rpm is exactly the same as it's always been, and will not be changed.
If you have problems with how specific files are packages, then make a
bug report against that package, not rpm.

Note You need to log in before you can comment on or make changes to this bug.